Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## util
Class DebugOut

    java.lang.Object
      util.DebugOut

    public class DebugOut

extends java.lang.Object

Author:
  Witthold/Korol

Field Summary
`private static boolean` | `bluffing`
`private static boolean` | `bot`
`private static boolean` | `botconfig`
`private static boolean` | `botTalk`
`private static boolean` | `estimation`
`private static boolean` | `game`
`private static boolean` | `gameStorage`
`private static boolean` | `jni`
`private static boolean` | `main`
`private static boolean` | `model`
`private static boolean` | `player`
`private static boolean` | `potOdds`
`private static boolean` | `shc`
`private static boolean` | `sql`
`private static boolean` | `sqlCM`
`private static boolean` | `sqlHandler`
`private static boolean` | `sqlQuery`
`private static boolean` | `state`
`private static boolean` | `util`

Constructor Summary
`private` | `DebugOut()`

Method Summary
`static java.lang.String` | `mapToString(java.util.Map<?,?> hm)`
`static void` | `showVerboseBluffing(java.lang.String asdf)`
`static void` | `showVerboseBot(java.lang.String asdf)`
`static void` | `showVerboseBotConfig(java.lang.String asdf)`
`static void` | `showVerboseBotTalk(java.lang.String asdf)`
`static void` | `showVerboseEstimation(java.lang.String asdf)`
`static void` | `showVerboseGame(java.lang.String asdf)`
`static void` | `showVerboseHistory(java.lang.String asdf)`
`static void` | `showVerboseJni(java.lang.String asdf)`
`static void` | `showVerboseMain(java.lang.String asdf)`
`static void` | `showVerboseModel(java.lang.String asdf)`
`static void` | `showVerbosePlayer(java.lang.String asdf)`
`static void` | `showVerbosePotEquity(java.lang.String asdf)`
`static void` | `showVerboseShc(java.lang.String asdf)`
`static void` | `showVerboseSql(java.lang.String asdf)`
`static void` | `showVerboseSqlCM(java.lang.String asdf)`
`static void` | `showVerboseSqlHandler(java.lang.String asdf)`
`static void` | `showVerboseSqlQuery(java.lang.String asdf)`
`static void` | `showVerboseState(java.lang.String asdf)`
`static void` | `showVerboseUtil(java.lang.String asdf)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### main

    private static final boolean main

See Also:
  Constant Field Values

### botconfig

    private static final boolean botconfig

See Also:
  Constant Field Values

### bot

    private static final boolean bot

See Also:
  Constant Field Values

### botTalk

    private static final boolean botTalk

See Also:
  Constant Field Values

### player

    private static final boolean player

See Also:
  Constant Field Values

### estimation

    private static final boolean estimation

See Also:
  Constant Field Values

### bluffing

    private static final boolean bluffing

See Also:
  Constant Field Values

### potOdds

    private static final boolean potOdds

See Also:
  Constant Field Values

### shc

    private static final boolean shc

See Also:
  Constant Field Values

### gameStorage

    private static final boolean gameStorage

See Also:
  Constant Field Values

### game

    private static final boolean game

See Also:
  Constant Field Values

### model

    private static final boolean model

See Also:
  Constant Field Values

### state

    private static final boolean state

See Also:
  Constant Field Values

### sql

    private static final boolean sql

See Also:
  Constant Field Values

### sqlHandler

    private static final boolean sqlHandler

See Also:
  Constant Field Values

### sqlQuery

    private static final boolean sqlQuery

See Also:
  Constant Field Values

### sqlCM

    private static final boolean sqlCM

See Also:
  Constant Field Values

### jni

    private static final boolean jni

See Also:
  Constant Field Values

### util

    private static final boolean util

See Also:
  Constant Field Values

Constructor Detail

### DebugOut

    private DebugOut()

Method Detail

### showVerboseMain

    public static void showVerboseMain(java.lang.String asdf)

### showVerboseBotConfig

    public static void showVerboseBotConfig(java.lang.String asdf)

### showVerboseBot

    public static void showVerboseBot(java.lang.String asdf)

### showVerboseBotTalk

    public static void showVerboseBotTalk(java.lang.String asdf)

### showVerbosePlayer

    public static void showVerbosePlayer(java.lang.String asdf)

### showVerboseEstimation

    public static void showVerboseEstimation(java.lang.String asdf)

### showVerboseBluffing

    public static void showVerboseBluffing(java.lang.String asdf)

### showVerbosePotEquity

    public static void showVerbosePotEquity(java.lang.String asdf)

### showVerboseShc

    public static void showVerboseShc(java.lang.String asdf)

### showVerboseHistory

    public static void showVerboseHistory(java.lang.String asdf)

### showVerboseGame

    public static void showVerboseGame(java.lang.String asdf)

### showVerboseModel

    public static void showVerboseModel(java.lang.String asdf)

### showVerboseState

    public static void showVerboseState(java.lang.String asdf)

### showVerboseSql

    public static void showVerboseSql(java.lang.String asdf)

### showVerboseSqlHandler

    public static void showVerboseSqlHandler(java.lang.String asdf)

### showVerboseSqlQuery

    public static void showVerboseSqlQuery(java.lang.String asdf)

### showVerboseSqlCM

    public static void showVerboseSqlCM(java.lang.String asdf)

### showVerboseJni

    public static void showVerboseJni(java.lang.String asdf)

### showVerboseUtil

    public static void showVerboseUtil(java.lang.String asdf)

### mapToString

    public static java.lang.String mapToString(java.util.Map<?,?> hm)

  Parameters:
    `hm` - - a map with any kind of types
  Returns:
    a string representation of the Map

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD